### Name: fuzzyfuns
### Title: Fuzzy membership functions
### Aliases: make_charfun_generator is.charfun_generator make_fuzzy_tuple
###   fuzzy_normal fuzzy_two_normals fuzzy_bell fuzzy_cone fuzzy_sigmoid
###   fuzzy_trapezoid fuzzy_triangular fuzzy_normal_gset
###   fuzzy_two_normals_gset fuzzy_bell_gset fuzzy_sigmoid_gset
###   fuzzy_trapezoid_gset fuzzy_triangular_gset fuzzy_cone_gset
### Keywords: math

### ** Examples

## creating a fuzzy normal function
N <- fuzzy_normal(mean = 0, sd = 1)
N(-3:3)

## create a fuzzy set with it
gset(charfun = N, universe = -3:3)

## same using wrapper
fuzzy_normal_gset(universe = -3:3)

## creating a user-defined fuzzy function
fuzzy_poisson <- make_charfun_generator(dpois)
gset(charfun = fuzzy_poisson(10), universe = seq(0, 20, 2))

## creating a series of fuzzy normal sets
make_fuzzy_tuple(fuzzy_normal, 5)



